<template>
  <PlayGround/>
</template>

<script lang="ts">
import { Button } from '@components/ui/button';
import { defineComponent } from 'vue';
import PlayGround from './Playground.vue';
import { useUserStore } from './stores/user_settings';
import { onMounted } from 'vue';

export default defineComponent({
  name: 'App',
  components: {
    Button,
    PlayGround,
  },
  setup() {
    console.log(document.body.classList)
    const userStore = useUserStore();
    onMounted(async () => {
      userStore.initialize()
    })
    return {
      userStore,
    }
  }
});


</script>